Index: create_tarball.sh
===================================================================
--- create_tarball.sh	(revision a816416efbe37c2603b5f0b62c029f89c8af8ac0)
+++ create_tarball.sh	(revision a2e9de41663ac7ef6e5a44c759e9775b1128a61a)
@@ -2,14 +2,22 @@
 
 #define version number
-version=10.3beta5
+
+githash=$(git rev-parse --short --verify HEAD)
+
+
+version=10.3beta5_$githash
 
 # define tarball name
 targetdir=../flexpart_distribution/
 tarball_tmp=${targetdir}flexpart_v$version 
+#tarball=${targetdir}flexpart_v$version.tar 
+tarball=${tarball_tmp}.tar 
 
 # clean old package
 if [ -d $tarball_tmp ]; then
-  echo $tarball_tmp exists: move to $tarball_tmp.bk   
-  mv $tarball_tmp ${tarball_tmp}.bk 
+  echo $tarball_tmp exists: move to $tarball_tmp.bk and exit  
+  mkdir $tarball_tmp.bk 
+  mv $tarball_tmp ${tarball_tmp}.bk/ 
+  mv $tarball ${tarball_tmp}.bk/ 
   exit 
 fi
@@ -79,4 +87,13 @@
 #cp -r flex_ecmwf_src/* $tarball_tmp/preprocess/flex_extract/
 ## cp -r flex_extract/work/EA* $tarball_tmp/preprocess/flex_extract/work   
+
+echo include flex_extract v7.0.4 b7c1c04a204c91e53759ef590504bf52dfaece64
+flex_extract=../flex_extract_v7.0.4/
+cp $flex_extract/README.md $tarball_tmp/preprocess/flex_extract
+cp -r $flex_extract/docs $tarball_tmp/preprocess/flex_extract
+cp -r $flex_extract/grib_templates $tarball_tmp/preprocess/flex_extract
+cp -r $flex_extract/python $tarball_tmp/preprocess/flex_extract
+cp -r $flex_extract/src $tarball_tmp/preprocess/flex_extract
+
 
 
@@ -175,5 +192,8 @@
 # cp -r tests/default_cases $tarball_tmp/tests/
 
-
+tar cvf  $tarball  $tarball_tmp  
+
+echo  $tarball complete
+echo exported untarred files in $tarball_tmp 
 exit
 #return
Index: src/FLEXPART.f90
===================================================================
--- src/FLEXPART.f90	(revision 0a94e13d0d122caab219884890c29edcb2893c60)
+++ src/FLEXPART.f90	(revision 2eefa58ac797f119acc28fade41beff352006040)
@@ -137,5 +137,5 @@
     write(*,*) 'call readpaths'
   endif 
-  call readpaths(pathfile)
+  call readpaths
  
   if (verbosity.gt.1) then !show clock info 
@@ -452,5 +452,7 @@
   endif
 
+  if (verbosity.gt.0) write (*,*) 'timemanager> call wetdepo'
   call timemanager(metdata_format)
+ 
 
   if (verbosity.gt.0) then
@@ -467,5 +469,4 @@
       endif
     end do
-    write (*,*) 'timemanager> call wetdepo'
   endif
   
Index: src/FLEXPART_MPI.f90
===================================================================
--- src/FLEXPART_MPI.f90	(revision 0c8c7f2f1bd07179b6e1be5a302d9e2d52633f9e)
+++ src/FLEXPART_MPI.f90	(revision 2eefa58ac797f119acc28fade41beff352006040)
@@ -146,5 +146,5 @@
     write(*,*) 'call readpaths'
   endif 
-  call readpaths(pathfile)
+  call readpaths
  
   if (verbosity.gt.1) then !show clock info 
Index: src/com_mod.f90
===================================================================
--- src/com_mod.f90	(revision 0a94e13d0d122caab219884890c29edcb2893c60)
+++ src/com_mod.f90	(revision 2eefa58ac797f119acc28fade41beff352006040)
@@ -124,4 +124,7 @@
   ! lnetcdfout   1 for netcdf grid output, 0 if not. Set in COMMAND (namelist input)
 
+  integer :: linversionout
+  ! linversionout 1 for one grid_time output file for each release containing all timesteps
+
   integer :: nageclass,lage(maxageclass)
 
@@ -176,5 +179,5 @@
   real :: ri(5,numclass),rac(5,numclass),rcl(maxspec,5,numclass)
   real :: rgs(maxspec,5,numclass),rlu(maxspec,5,numclass)
-  real :: rm(maxspec),dryvel(maxspec)
+  real :: rm(maxspec),dryvel(maxspec),kao(maxspec)
   real :: ohcconst(maxspec),ohdconst(maxspec),ohnconst(maxspec)
 
@@ -361,5 +364,7 @@
   real :: ciwc(0:nxmax-1,0:nymax-1,nzmax,numwfmem)=0.0 !ice      [kg/kg]
   real :: clw(0:nxmax-1,0:nymax-1,nzmax,numwfmem)=0.0  !combined [m3/m3]
-
+! RLT add pressure and dry air density
+  real :: prs(0:nxmax-1,0:nymax-1,nzmax,numwfmem)
+  real :: rho_dry(0:nxmax-1,0:nymax-1,nzmax,numwfmem)
   real :: pv(0:nxmax-1,0:nymax-1,nzmax,numwfmem)
   real :: rho(0:nxmax-1,0:nymax-1,nzmax,numwfmem)
@@ -383,4 +388,5 @@
   ! uupol,vvpol [m/s]    wind components in polar stereographic projection
   ! tt [K]               temperature data
+  ! prs                  air pressure
   ! qv                   specific humidity data
   ! pv (pvu)             potential vorticity
Index: src/concoutput.f90
===================================================================
--- src/concoutput.f90	(revision 20963b15051b22eeb381dcf4e824a9104d92717b)
+++ src/concoutput.f90	(revision 2eefa58ac797f119acc28fade41beff352006040)
@@ -72,4 +72,7 @@
   real :: sp_fact
   real :: outnum,densityoutrecept(maxreceptor),xl,yl
+! RLT
+  real :: densitydryrecept(maxreceptor)
+  real :: factor_dryrecept(maxreceptor)
 
 !real densityoutgrid(0:numxgrid-1,0:numygrid-1,numzgrid),
@@ -106,4 +109,5 @@
   character(LEN=8),save :: file_stat='REPLACE'
   logical :: ldates_file
+  logical :: lexist
   integer :: ierr
   character(LEN=100) :: dates_char
@@ -203,4 +207,7 @@
         densityoutgrid(ix,jy,kz)=(rho(iix,jjy,kzz,mind)*dz1+ &
              rho(iix,jjy,kzz-1,mind)*dz2)/dz
+! RLT
+        densitydrygrid(ix,jy,kz)=(rho_dry(iix,jjy,kzz,mind)*dz1+ &
+             rho_dry(iix,jjy,kzz-1,mind)*dz2)/dz  
       end do
     end do
@@ -214,6 +221,12 @@
 !densityoutrecept(i)=rho(iix,jjy,1,2)
     densityoutrecept(i)=rho(iix,jjy,1,mind)
+! RLT
+    densitydryrecept(i)=rho_dry(iix,jjy,1,mind)
   end do
 
+! RLT
+! conversion factor for output relative to dry air
+  factor_drygrid=densityoutgrid/densitydrygrid
+  factor_dryrecept=densityoutrecept/densitydryrecept
 
 ! Output is different for forward and backward simulations
@@ -353,5 +366,5 @@
 ! Concentration output
 !*********************
-        if ((iout.eq.1).or.(iout.eq.3).or.(iout.eq.5).or.(iout.eq.6)) then
+        if ((iout.eq.1).or.(iout.eq.3).or.(iout.eq.5)) then
 
 ! Wet deposition
@@ -614,4 +627,47 @@
   end do
 
+! RLT Aug 2017
+! Write out conversion factor for dry air
+  inquire(file=path(2)(1:length(2))//'factor_drygrid',exist=lexist)
+  if (lexist) then
+    ! open and append
+    open(unitoutfactor,file=path(2)(1:length(2))//'factor_drygrid',form='unformatted',&
+            status='old',action='write',access='append')
+  else
+    ! create new
+    open(unitoutfactor,file=path(2)(1:length(2))//'factor_drygrid',form='unformatted',&
+            status='new',action='write')
+  endif
+  sp_count_i=0
+  sp_count_r=0
+  sp_fact=-1.
+  sp_zer=.true.
+  do kz=1,numzgrid
+    do jy=0,numygrid-1
+      do ix=0,numxgrid-1
+        if (factor_drygrid(ix,jy,kz).gt.(1.+smallnum).or.factor_drygrid(ix,jy,kz).lt.(1.-smallnum)) then
+          if (sp_zer.eqv..true.) then ! first value not equal to one
+            sp_count_i=sp_count_i+1
+            sparse_dump_i(sp_count_i)= &
+                  ix+jy*numxgrid+kz*numxgrid*numygrid
+            sp_zer=.false.
+            sp_fact=sp_fact*(-1.)
+          endif
+          sp_count_r=sp_count_r+1
+          sparse_dump_r(sp_count_r)= &
+               sp_fact*factor_drygrid(ix,jy,kz)
+        else ! factor is one
+          sp_zer=.true.
+        endif
+      end do
+    end do
+  end do
+  write(unitoutfactor) sp_count_i
+  write(unitoutfactor) (sparse_dump_i(i),i=1,sp_count_i)
+  write(unitoutfactor) sp_count_r
+  write(unitoutfactor) (sparse_dump_r(i),i=1,sp_count_r)
+  close(unitoutfactor)
+
+
   if (gridtotal.gt.0.) gridtotalunc=gridsigmatotal/gridtotal
   if (wetgridtotal.gt.0.) wetgridtotalunc=wetgridsigmatotal/ &
@@ -640,5 +696,21 @@
   endif
 
-
+! RLT Aug 2017
+! Write out conversion factor for dry air
+  if (numreceptor.gt.0) then
+    inquire(file=path(2)(1:length(2))//'factor_dryreceptor',exist=lexist)
+     if (lexist) then
+     ! open and append
+      open(unitoutfactor,file=path(2)(1:length(2))//'factor_dryreceptor',form='unformatted',&
+              status='old',action='write',access='append')
+    else
+      ! create new
+      open(unitoutfactor,file=path(2)(1:length(2))//'factor_dryreceptor',form='unformatted',&
+              status='new',action='write')
+    endif
+    write(unitoutfactor) itime
+    write(unitoutfactor) (factor_dryrecept(i),i=1,numreceptor)
+    close(unitoutfactor)
+  endif
 
 ! Reinitialization of grid
